package com.hzs.sale.product.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hzs.common.domain.sale.product.BdProductExtend;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 商品拓展表 Mapper 接口
 * </p>
 *
 * @author hzs
 * @since 2022-09-01
 */
public interface BdProductExtendMapper extends BaseMapper<BdProductExtend> {
    /**
     * 根据产品id查询产品拓展
     * @param productId
     * @return
     */
    BdProductExtend selectByProductId(@Param("pkProduct") Integer productId);
    /**
     * 根据产品id 查找当前商品的上一位商品排序
     * @param productId
     * @return
     */
    Integer selectByMoveUpSort(@Param("pkProduct") Integer productId);

    void updateMoveUpBySort(@Param("sort") Integer sort);
    /**
     * 根据id 查询当前商品的下一位商品排序
     * @param productId
     * @return
     */
    Integer selectByMoveDownSort(@Param("pkProduct")Integer productId);

    void updateMoveDownBySort(@Param("sort") Integer sort);
    /**
     * 查询排序最大值
     * @return
     */
    Integer getMaxProductSort();
}
